% Calculates the default accuracy of a dataset as defined my Zheng
% This is the relative frequency of the most common output class
%
% function  acc = default_accuracy(output)
% 
% Input: A matrix containing one row for each instance and one binary
% column for each output class
%
% Output: The default accuracy
function  acc = default_accuracy(output)
    maxval = 0;
    for i = size(output,2)
        val = size(output(output(:,i)==1),1);
        if(val>maxval)
            maxval = val;
        end
    end
    acc=maxval/size(output,1);
    
        
    
