%Calculates the dataset density as defined by Zheng
% function dens = density(dataset)
%
% Inputs: A dataset matrix with each row being the input vector of one
% instance
%
% Output: The dataset density
function [dens] = density(dataset)
    dset_size = size(dataset);
    n = dset_size(2);
    
    prod = 1;
    for i = 1 : n
        prod = prod*size(unique(dataset(:,i)),1);
    end
    
    dens = dset_size(1) / prod;
    
    