% Calculates the frequency of a given value in a vector. The equality
% operator == is used to check so it must be overloaded for the type of
% values in the vector and the type of the value to check for.
%
% function F = frequency(vect, val)
%
% Inputs:
% vect: A vector
% val: A value to check for
%
% Output: The number of times val occurs in vect
function F = frequency(vect, val)
   F = 0;
   for i=1 : length(vect)
       if vect(i) == val
           F = F+1;
       end
   end
   