% Calculate the input overlap for a given matrix of input vectors.
%
% function overlap = input_overlap(input)
%
% Inputs: 
% input: A matrix containing the input vectors to calculate the overlap for
%        Each row of the vector should contain one input vector.
%
% Outputs:
% overlap: The total input overlap for the dataset

function overlap = input_overlap(input)
    n = size(input,1);
    overlap = total_orthogonality(input)/n;