% Calculates the relative accuracy as the how good the default accuracy is
% in relation to the best recorded accuracy on the domain. 
%
% function rel = relative_accuracy(predictive, default)
%
% Inputs:
% predicive: The best recorded accuracy
% default: The default accuracy
%
% Output: The relative accuracy
function rel = relative_accuracy(predictive, default)
    rel = 100*((predictive-default)/(1-default));