% Calculate the total orthogonality of a set of vectors as the summed
% cosine of the angle between any two vectors.
%
% Inputs:
% vects: A MxN matrix where each of the M rows contains an vector in
% N-dimensional space.
%
% Output: The summed orthogonality
function ans = total_orthogonality(vects)
    n = size(vects,1);
    ans = 0;
    %TODO: Two nested for-loops is very far from being optimal in Matlab.
    %Some internal functions might help on getting this done faster.
    for i = 1 : n-1
        irow = vects(i,:);
        for j = i+1 : n
            jrow = vects(j, :);
            ans = ans+orthogonality(irow, jrow);            
        end
    end
