function net = train_actsharp_epoch(net, in, out, k, sharp_factor)
    %Get a random order to train the exemplars in
    order = randperm(size(in,2));

    for j = 1 : size(order)
        n = order(j);
        net = ann_activate(net, in(:,n));
        
        net = activation_sharpening(net, k, sharp_factor);
        
        net = ann_activate(net, in(:,n));
        err = out(:,n) - net.L{3};
        net = rnn_train(net, err, 1);
    end