%
% function max_IO = max_io(input_set)
%
% Calculates the theoretical maximum input overlap
% This is given as max_IO  1/2(n-1)
%
% Input: The matrix containing the input set. Each row in the matrix should
% be one input instance.
function max_IO = max_io(input_set)
    max_IO = 1/2*(size(input_set,1)-1);