%Converts an array of real-valued numbers to an array of arrays where each
%row contains max(arr) items. For each item i with value jin the input
%array, the value at (i,j) in the output matrix will be 1, and 0 everywhere
%else.
function ans = single_to_multiple_encoding(arr)
    hi = max(arr);
    ans = zeros(size(arr, 2), max(arr));
    for i=1:size(arr)
        ans(i,arr(i)+1) = 1;
    end