function [first, second, third] = run_waveform_pseudo_test()
    epochs = 1000;
    learning_rate = 0.2;
    hidden_size = 40;
    criterion = 0.49;
    train_percentage = 0.066;
    test_percentage = 0.033;
    pool_size = 8;
    
    [input,output] = read_waveform('waveform.data');

    %Create data for first training period with only 1st and 2nd class
    indexes = output(:,3)==0;
    first.all.in = submatrix(input, indexes);
    first.all.out = submatrix(output, indexes);

    indexes = output(:,3)==1;
    second.all.in = submatrix(input, indexes);
    second.all.out = submatrix(output, indexes);
 
    [first, second, third] = run_pseudo_patt_experiment(first, second, train_percentage, test_percentage, epochs, learning_rate, hidden_size, criterion, pool_size);